org.bdgenomics.adam.util

# PhredUtils

###
Related Doc: package util

#### object PhredUtils extends Serializable

Helper singleton for converting Phred scores to/from probabilities.

As a reminder, given an error probability \epsilon, the Phred score q is:

q = -10 log_{10} \epsilon

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PhredUtils
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def errorProbabilityToPhred(p: Double): Int

   p

     An error probability to convert to phred.

   returns

     The input probability as a phred score, rounded to the nearest int.

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def logProbabilityToPhred(p: Double): Int

    p

      A log-scaled success probability to conver to phred.

    returns

      Returns this probability as a Phred score. If the log value is 0.0, we clip the phred score to Int.MaxValue.

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def phredToErrorProbability(phred: Int): Double

    phred

      The phred score to convert.

    returns

      The input phred score as an error probability. If the phred score is above 255, we clip to 255.

18. #### def phredToLogProbability(phred: Int): Double

    phred

      The phred score to convert.

    returns

      The input phred score as a log success probability.

19. #### def phredToSuccessProbability(phred: Int): Double

    phred

      The phred score to convert.

    returns

      The input phred score as a success probability. If the phred score is above 255, we clip to 255.

20. #### def successProbabilityToPhred(p: Double): Int

    p

      A success probability to convert to phred.

    returns

      One minus the input probability as a phred score, rounded to the nearest int.

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped